%global snap_release 20190603
%define anolis_release 2
Summary: Root crontab files used to schedule the execution of programs
Name: crontabs
Version: 1.11
Release: %{anolis_release}.%{snap_release}git%{?dist}
License: Public Domain and GPLv2
URL: https://github.com/cronie-crond/crontabs
Source0: https://github.com/cronie-crond/crontabs/releases/download/crontabs-%{snap_release}/%{name}-%{version}-%{snap_release}git.tar.gz
BuildArch: noarch
Requires: sed
Recommends: cronie

%description
The crontabs package contains root crontab files and directories and
relies on the cron daemon. Thus cron daemon should be installed firstly
to run the jobs from the crontabs. Cronie or fcron, a type of cron daemon,
would regularly check the commands in those files whether should be
executed.

%prep
%setup -q

%build
#empty

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.{hourly,daily,weekly,monthly}
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man4/

install -m644 ./crontab $RPM_BUILD_ROOT/etc/crontab
install -m755 ./run-parts $RPM_BUILD_ROOT/usr/bin/run-parts
install -m644 ./{crontabs,run-parts}.4 $RPM_BUILD_ROOT/%{_mandir}/man4/

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
touch $RPM_BUILD_ROOT/etc/sysconfig/run-parts

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%config(noreplace) /etc/crontab
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/run-parts
%{_bindir}/run-parts
%dir /etc/cron.hourly
%dir /etc/cron.daily
%dir /etc/cron.weekly
%dir /etc/cron.monthly
%{_mandir}/man4/*

%changelog
* Thu Nov 24 2022 Kaihao Bai <carlo.bai@alibaba-inc.com> - 1.11-2.20190603git
- update spec info

* Wed Mar  9 2022 zl01087097 <zl01087097@alibaba-inc.com> - 1.11-1.20190603git
- upstream version 1.11 
